Error -208 unexpectedly returned when installing file with version info that is smaller

VERIFIED FIXED in M14

Status

Core Graveyard
Installer: XPInstall Engine
P3
normal
VERIFIED FIXED
18 years ago
2 years ago

People

(Reporter: Jimmy Lee, Assigned: dbragg)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

18 years ago
Build: 1999-12-21-00-M12(WIN), 1999-12-20-23-M12(MAC), 1999-12-20-23-M12(LINUX)

1. From http://jimbob/trigger2.html, click drop-down button and select
   f_addsubcomp and click Trigger case button.
2. When this installation completes, then select f_addsubcomp_vi_no_update and
   trigger

///////////////////////////////////////////////////////////////////
// f_addsubcomp.js
//
// o Setup for GetComponentFolder() call test: getCompFolder.jar
// o Uses the Program folder to install to
//
// ~ XPInstall QA
//   April 21, 1999
//
////////////////////////////////////////////////////////////////////

var regName = "f_addsubcomp";
vi = "1.0.1.1";
var jarSourcePath = "smrtupdt.txt";
var localDirSpec;
var relativeLocalPath = "localsmrtupdt.txt"

localDirSpec = Install.GetFolder("Program");

netscape.softupdate.SoftwareUpdate.FULL_INSTALL);
err = Install.StartInstall("Functional: f_addsubcomp", "f_addsubcomp", vi, 0);
err = Install.AddSubcomponent(regName, vi, jarSourcePath, localDirSpec,
relativeLocalPath, true);
Install.FinalizeInstall();

///////////////////////////////////////////////////////////////////
// f_addsubcomp_vi_no_update.js
//
// Dependency:
// Trigger f_addsubcomp.jar before f_addsubcomp_vi_no_update.jar
//
// o vi is smaller, so no update should occur
//
// ~ XPInstall QA
//   May 5, 1999
//   December 21, 1999 JimmyLee Rewritten to conform to new JScript form
//
////////////////////////////////////////////////////////////////////

var regName = "f_addsubcomp";
vi = "1.0.0.0";
var jarSourcePath = "smrtupdt.txt";
var localDirSpec;
var relativeLocalPath = "localsmrtupdt.txt";

startInstall("Functional: f_addsubcomp_vi_no_update", "f_addsubcomp", vi, 0);
localDirSpec = getFolder("Program");
err = addFile(regName, vi, jarSourcePath, localDirSpec, relativeLocalPath,
false);  //false parameter is passed
logComment("addFile returns " + err);

if (0 == getLastError())
	finalizeInstall();
else
	abortInstall();

RESULT:
The installation from f_addsubcomp_vi_no_update does not occur as expected since
the vi is less than from f_addsubcomp.  However, there is an error that is
returned as shown by the following Install.log:

-------------------------------------------------------------------------------
http://jimbob/jars/f_addsubcomp.jar  --  12/21/1999 16:14:47
-------------------------------------------------------------------------------

     Functional: f_addsubcomp
     ------------------------

     [1/1]	Installing: C:\Program Files\moz1221\localsmrtupdt.txt

     Install completed successfully
     Finished Installation  12/21/1999 16:14:47

-------------------------------------------------------------------------------
http://jimbob/jars/f_addsubcomp_vi_no_update.jar  --  12/21/1999 16:14:53
-------------------------------------------------------------------------------

     Functional: f_addsubcomp_vi_no_update
     -------------------------------------

     ** ERROR (-208): Skipping: (null)
     ** addFile returns -208

     Install script aborted
     Finished Installation  12/21/1999 16:14:53

EXPECTED RESULT:
-208 means invalid parameter.  The expectation is that the install will not
occur because the vi is smaller.
Target Milestone: M13
*** Bug 20043 has been marked as a duplicate of this bug. ***

Updated

18 years ago
Target Milestone: M13 → M14

Updated

18 years ago
Assignee: cathleen → dveditz

Comment 2

18 years ago
reassign to dveditz

Updated

18 years ago
Assignee: dveditz → dbragg

Comment 3

18 years ago
oops, wrong person.
reassign to dbragg
(Assignee)

Comment 4

18 years ago
Fixed.  You get no error and the file is not updated.
Status: NEW → RESOLVED
Last Resolved: 18 years ago
Resolution: --- → FIXED
(Reporter)

Comment 5

18 years ago
Build 2000-02-09-09-M14(WIN), 2000-02-09-08-M14(MAC), 2000-02-09-14-M14(LINUX)

No more error messages.
Status: RESOLVED → VERIFIED
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.